local ____exports = {}
____exports.EXPORTED_METHOD_NAMES_KEY = "__exportedMethodNames"
--- A decorator function that signifies that the decorated class method should be added to the
-- `ModUpgraded` object.
-- 
-- This is only meant to be used internally.
function ____exports.Exported(self, target, propertyKey)
    local constructor = target.constructor
    if not (constructor[____exports.EXPORTED_METHOD_NAMES_KEY] ~= nil) then
        constructor[____exports.EXPORTED_METHOD_NAMES_KEY] = {}
    end
    local exportedMethodNames = constructor[____exports.EXPORTED_METHOD_NAMES_KEY]
    exportedMethodNames[#exportedMethodNames + 1] = propertyKey
end
return ____exports
